Opened 12 years ago

Closed 12 years ago

#724 closed Defect (Fixed)

Colloquy 2.1 doesn't work with miau

Reported by: wvh@… Owned by: timothy
Component: Chat Core (IRC) Version: 2.2 (Mac)
Severity: Normal Keywords: connect bouncer bnc nickname
Cc:

Description

I'm using the IRC bouncer miau ( http://miau.sourceforge.net/ ) to keep a persistent IRC session going, and connecting to it with my client. It worked all right in Collo 2.0, but now when I try to use it in the 2.1 beta, it opens my channels for an instant, then closes them. Trying to join the channels explicitly gives the same result.

Change History (5)

comment:1 Changed 12 years ago by akempgen

  • Component changed from Colloquy (GUI) to Chat Core (IRC)
  • Keywords connect bouncer bnc nickname added

omnifet: "i found out that if i set my nick in the connections window to be the same as my current nick in the miau instance, it works fine. but if the nick is different, then collo crashes on connect"

comment:2 Changed 12 years ago by anonymous

Here is the crash. It is an exception.

Thread 5 Crashed:
0   com.apple.Foundation     	0x9275c2d3 _NSRaiseError + 227
1   com.apple.Foundation     	0x92782fd7 +[NSException raise:format:] + 57
2   com.apple.Foundation     	0x9280b0be -[NSObject doesNotRecognizeSelector:] + 123
3   com.apple.Foundation     	0x9272f207 -[NSObject(NSForwardInvocation) forward::] + 184
4   libobjc.A.dylib          	0x90a51ba1 _objc_msgForward + 49
5   info.colloquy.chatCore   	0x0032081a -[MVIRCChatConnection(MVIRCChatConnectionProtocolHandlers) _handleNickWithParameters:fromSender:] + 130
6   info.colloquy.chatCore   	0x003199c6 -[MVIRCChatConnection(MVIRCChatConnectionPrivate) socket:didReadData:withTag:] + 2459
7   info.colloquy.chatCore   	0x0033b622 -[AsyncSocket completeCurrentRead] + 291
8   info.colloquy.chatCore   	0x0033b48f -[AsyncSocket doBytesAvailable] + 498
9   info.colloquy.chatCore   	0x0033c0e2 MyCFReadStreamCallback + 47
10  com.apple.CoreFoundation 	0x90870d4e _CFStreamSignalEventSynch + 281
11  com.apple.CoreFoundation 	0x90823379 CFRunLoopRunSpecific + 1213
12  com.apple.CoreFoundation 	0x90822eb5 CFRunLoopRunInMode + 61
13  com.apple.Foundation     	0x9275eb4a -[NSRunLoop runMode:beforeDate:] + 182
14  info.colloquy.chatCore   	0x00318305 -[MVIRCChatConnection(MVIRCChatConnectionPrivate) _ircRunloop] + 271
15  com.apple.Foundation     	0x927291b0 forkThreadForFunction + 123
16  libSystem.B.dylib        	0x90024b07 _pthread_body + 84

comment:3 Changed 12 years ago by timothy

Can you attach the exception that is logged in the console?

comment:4 Changed 12 years ago by timothy

More info:

PASS *********
NICK jerk
USER omnifet 0 * Bill Van Hecke
001: Welcome to the kuiki Internet Relay Chat Network omnifet
002: Your host is minerva.kuiki.net[minerva.kuiki.net/6667], running version hybrid-7.0
003: This server was created Tue Mar 9 2004 at 23:12:41 CST
004: minerva.kuiki.net hybrid-7.0 oiwszcerkfydnxbaugl biklmnopstveIha bkloveIh
005: WALLCHOPS KNOCK VCHANS EXCEPTS INVEX MODES=4 MAXCHANNELS=15 MAXBANS=25 MAXTARGETS=4 NICKLEN=30 TOPICLEN=390 KICKLEN=390 are supported by this server
005: CHANTYPES=#& PREFIX=(ohv)@%+ CHANMODES=eIb,k,l,imnpst NETWORK=kuiki CASEMAPPING=rfc1459 CALLERID are supported by this server
375: - miau version 0.6.1 - "All the trouble and twice the bugs" -
372:     |\      _,,,---,,_      
372:     /,`.-'`'    -.  ;-;;,_  
372:    |,4-  ) )-,_..;\ (  `'-' 
372:   '---''(_/--'  `-'\_)  fL  
372: - Running on server localhost with nickname omnifet
372: - You have messages waiting. (/miau read)
376: End of /MOTD command.
jerk NICK
jerk NICK omnifet
:omnifet NOTICE #rosa Playing quicklog...
===== Tuesday, September 19, 2006 11:44:02 US/Pacific =====
2006-09-19 11:44:14.858 Colloquy[257] *** -[NSCFString nickname]: selector not recognized [self = 0x15e8ef10]
2006-09-19 11:44:14.858 Colloquy[257] *** NSRunLoop ignoring exception '*** -[NSCFString nickname]: selector not recognized [self = 0x15e8ef10]' that raised during posting of delayed perform with target 15ebd610 and selector 'maybeDequeueRead'
2006-09-19 11:44:14.859 Colloquy[257] *** -[NSCFString nickname]: selector not recognized [self = 0x1564a650]
2006-09-19 11:44:14.859 Colloquy[257] An uncaught exception was raised
2006-09-19 11:44:14.860 Colloquy[257] *** -[NSCFString nickname]: selector not recognized [self = 0x1564a650]
2006-09-19 11:44:14.860 Colloquy[257] *** Uncaught exception: <NSInvalidArgumentException> *** -[NSCFString nickname]: selector not recognized [self = 0x1564a650]
Sep 19 11:44:15 rhydon crashdump[271]: Colloquy crashed
Sep 19 11:44:17 rhydon crashdump[271]: crash report written to: /Users/wvh/Library/Logs/CrashReporter/Colloquy.crash.log

comment:5 Changed 12 years ago by timothy

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in [3357]. This will be fixed in the next build. Thanks for the donation!

Note: See TracTickets for help on using tickets.